<%@ Page language="c#" Codebehind="search.aspx.cs" AutoEventWireup="false" EnableViewState="false" Inherits="Discuz.ForumPage.search" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Discuz.Common" %>
<%@ Import namespace="Discuz.Forum" %>
<%@ Import namespace="Discuz.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by Discuz!NT Template Engine at 2007-11-15 11:15:16.
		本页面代码由Discuz!NT模板引擎生成于 2007-11-15 11:15:16. 
	*/

	base.OnInit(e);


	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " " + config.Seotitle.ToString().Trim() + " - " + config.Forumtitle.ToString().Trim() + " - Powered by Discuz!NT</title>\r\n");
	templateBuilder.Append("<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<!-- 调用样式表 -->\r\n");
	templateBuilder.Append("<link rel=\"stylesheet\" href=\"templates/" + templatepath.ToString() + "/dnt.css\" type=\"text/css\" media=\"all\"  />\r\n");
	templateBuilder.Append("" + link.ToString() + "\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/report.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/menu.js\"></" + "script>\r\n");
	templateBuilder.Append("" + script.ToString() + "\r\n");
	templateBuilder.Append("</head>\r\n");


	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"append_parent\"></div>\r\n");
	templateBuilder.Append("<div id=\"container\">\r\n");
	templateBuilder.Append("<!--header start-->\r\n");
	templateBuilder.Append("<div id=\"header\">\r\n");
	templateBuilder.Append("	<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\" title=\"Discuz!NT|BBS|论坛 - Powered by Discuz!NT\"><img src=\"templates/" + templatepath.ToString() + "/images/logo.gif\" alt=\"Discuz! Board NT|BBS|论坛\"/></a></h2>\r\n");

	if (pagename=="forumindex.aspx")
	{

	templateBuilder.Append("	<ul id=\"iconmenu\">\r\n");

	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Forumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/Headforum.gif\" alt=\"论坛\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<li><img src=\"templates/" + templatepath.ToString() + "/images/headline.jpg\"/></li>\r\n");
	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headspace.gif\"  alt=\"个人空间\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<li><img src=\"templates/" + templatepath.ToString() + "/images/headline.jpg\"/></li>\r\n");
	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headphoto.gif\" alt=\"相册\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if

	templateBuilder.Append("	</ul>\r\n");

	}	//end if

	templateBuilder.Append("	<p id=\"topmenu\">\r\n");

	if (userid==-1)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "login.aspx\" class=\"reg\">登录</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "register.aspx\" class=\"reg\">注册</a>\r\n");

	}
	else
	{

	templateBuilder.Append("			欢迎: " + username.ToString() + "&nbsp;\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "logout.aspx?userkey=" + userkey.ToString() + "\" class=\"reg\">退出</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "usercp.aspx\" class=\"reg\">用户中心</a>\r\n");

	if (useradminid==1)
	{

	templateBuilder.Append("				<a href=\"" + forumurl.ToString() + "admin/index.aspx\" target=\"_blank\"  class=\"reg\">系统设置</a>\r\n");

	}	//end if


	}	//end if


	if (pagename!="forumindex.aspx")
	{


	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a>\r\n");

	}	//end if


	}	//end if


	if (usergroupinfo.Allowsearch>0)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "search.aspx\">搜索</a>\r\n");

	}	//end if

	templateBuilder.Append("		<a href=\"" + forumurl.ToString() + "help.aspx\" target=\"_blank\">帮助</a>	\r\n");
	templateBuilder.Append("	</p>\r\n");

	if (headerad!="")
	{

	templateBuilder.Append("		<div id=\"ad\">" + headerad.ToString() + "</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"wraper\">\r\n");
	templateBuilder.Append("	<div id=\"menubar\">\r\n");
	templateBuilder.Append("		<div class=\"selectmode\">\r\n");
	templateBuilder.Append("		<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("			if(top == self) {\r\n");
	templateBuilder.Append("				document.write('<a href=\"frame.aspx?f=1\" target=\"_top\">分栏模式<\\/a>');\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		</" + "script>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		<ul id=\"navigation\">\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "usercpinbox.aspx\">短消息</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showuser.aspx\">会员</a></li>\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li id=\"my\" onMouseOver=\"showMenu(this.id);\" onMouseOut=\"showMenu(this.id);\"><a href=\"###\" class=\"mycontent\">我的</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showtemplate.aspx\">界面</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "archiver/index.aspx\">简洁版本</a></li>\r\n");
	templateBuilder.Append("			<li class=\"noground\"><a href=\"" + forumurl.ToString() + "onlineuser.aspx\">在线</a></li>\r\n");
	templateBuilder.Append("		</ul>\r\n");
	templateBuilder.Append("	</div>\r\n");


	templateBuilder.Append("<div id=\"foruminfo\">\r\n");
	templateBuilder.Append("	<div class=\"userinfo\">\r\n");
	templateBuilder.Append("		<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\">" + config.Forumtitle.ToString().Trim() + "</a> <strong>搜索</strong></h2>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	if (page_err==0)
	{


	if (searchpost)
	{


	templateBuilder.Append("<div class=\"forumtrue\">\r\n");
	templateBuilder.Append("			<div class=\"navforumtrue\">" + msgbox_text.ToString() + "\r\n");

	if (msgbox_url!="")
	{

	templateBuilder.Append("					<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<a href=\"" + msgbox_url.ToString() + "\">如果浏览器没有转向, 请点击这里.</a>\r\n");
	templateBuilder.Append("					</p>\r\n");

	}	//end if

	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}
	else
	{


	if (searchid==-1)
	{

	templateBuilder.Append("<div id=\"options_item\">\r\n");
	templateBuilder.Append("	<div id=\"postoptions\">\r\n");
	templateBuilder.Append("		<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">选择分表:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"posttableid\" id=\"posttableid\">\r\n");

	int table__loop__id=0;
	foreach(DataRow table in tablelist.Rows)
	{
		table__loop__id++;

	templateBuilder.Append("					<option value=\"" + table["id"].ToString().Trim() + "\">" + table["description"].ToString().Trim() + "\r\n");

	if (Utils.StrToInt(table__loop__id, 0)==1)
	{

	templateBuilder.Append("(当前使用)\r\n");

	}	//end if

	templateBuilder.Append("</option>\r\n");

	}	//end loop

	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">时间:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"searchtime\" id=\"searchtime\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">全部时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"-1\">1天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-2\">2天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-3\">3天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-7\">1周前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-30\">1个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-90\">3个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-180\">半年前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-365\">1年前</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				  <input type=\"radio\" name=\"searchtimetype\" value=\"1\" />\r\n");
	templateBuilder.Append("				之前\r\n");
	templateBuilder.Append("				<input name=\"searchtimetype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				之后\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">结果排序:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"resultorder\" id=\"resultorder\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">最后回复时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"1\">发表时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"2\">回复数量</option>\r\n");
	templateBuilder.Append("				  <option value=\"3\">查看次数</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"resultordertype\" value=\"1\" />\r\n");
	templateBuilder.Append("				升序\r\n");
	templateBuilder.Append("				<input name=\"resultordertype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				降序\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">搜索范围:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"searchforumid\" size=\"12\" style=\"width:450px\" multiple=\"multiple\" id=\"searchforumid\">\r\n");
	templateBuilder.Append("				 <option selected value=\"\">---------- 所有版块(默认) ----------</option>\r\n");
	templateBuilder.Append("					<!--模版中所有版块的下拉框中一定要加入value=\"\"否则会提示没有选择版块-->\r\n");
	templateBuilder.Append("					" + forumlist.ToString() + "\r\n");
	templateBuilder.Append("				 </select>\r\n");
	templateBuilder.Append("				 <p>(按Ctrl或Shift键可以多选,不选择)</p>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div id=\"spacepostoptions\">\r\n");
	templateBuilder.Append("		<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">时间:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"searchtime\" id=\"searchtime\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">全部时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"-1\">1天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-2\">2天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-3\">3天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-7\">1周前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-30\">1个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-90\">3个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-180\">半年前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-365\">1年前</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				  <input type=\"radio\" name=\"searchtimetype\" value=\"1\" />\r\n");
	templateBuilder.Append("				之前\r\n");
	templateBuilder.Append("				<input name=\"searchtimetype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				之后\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">结果排序:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"resultorder\" id=\"resultorder\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">发表时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"1\">回复数量</option>\r\n");
	templateBuilder.Append("				  <option value=\"2\">查看次数</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"resultordertype\" value=\"1\" />\r\n");
	templateBuilder.Append("				升序\r\n");
	templateBuilder.Append("				<input name=\"resultordertype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				降序\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div id=\"albumoptions\">\r\n");
	templateBuilder.Append("		<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">时间:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"searchtime\" id=\"searchtime\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">全部时间</option>\r\n");
	templateBuilder.Append("				  <option value=\"-1\">1天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-2\">2天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-3\">3天前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-7\">1周前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-30\">1个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-90\">3个月前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-180\">半年前</option>\r\n");
	templateBuilder.Append("				  <option value=\"-365\">1年前</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				  <input type=\"radio\" name=\"searchtimetype\" value=\"1\" />\r\n");
	templateBuilder.Append("				之前\r\n");
	templateBuilder.Append("				<input name=\"searchtimetype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				之后\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">结果排序:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"resultorder\" id=\"resultorder\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">创建时间</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"resultordertype\" value=\"1\" />\r\n");
	templateBuilder.Append("				升序\r\n");
	templateBuilder.Append("				<input name=\"resultordertype\" type=\"radio\" value=\"0\" checked />\r\n");
	templateBuilder.Append("				降序\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<form id=\"postpm\" name=\"postpm\" method=\"post\" onsubmit=\"if(this.chkAuthor.checked)$('type').value='author';return true;\" action=\"\">\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>搜索</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumform\">\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">关键词:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("			<input name=\"keyword\" type=\"text\" class=\"colorblue\" id=\"keyword\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"45\" />&nbsp;&nbsp; 多个关键词间用英文空格分开\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">作者:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<input name=\"poster\" type=\"text\" id=\"poster\" size=\"45\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" />\r\n");
	templateBuilder.Append("			&nbsp;&nbsp;<input type=\"checkbox\" value=\"1\" id=\"chkAuthor\" name=\"chkAuthor\" onclick=\"checkauthoroption(this);\" />\r\n");
	templateBuilder.Append("			搜索该作者所有帖子,相册和空间日志\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<td class=\"navformcommend\" colspan=\"2\" id=\"divsearchoption\">搜索选项</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\" id=\"divsearchtype\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">搜索类型:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("			    <input type=\"hidden\" name=\"type\" value=\"post\" id=\"type\" />\r\n");
	templateBuilder.Append("				<input name=\"keywordtype\" type=\"radio\" value=\"0\" checked onclick=\"changeoption('post');\" />\r\n");
	templateBuilder.Append("				帖子标题搜索\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"keywordtype\" value=\"1\" onclick=\"changeoption('post');\" />\r\n");
	templateBuilder.Append("				内容搜索\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"keywordtype\" value=\"2\" onclick=\"changeoption('spacepost');\" />\r\n");
	templateBuilder.Append("				日志标题搜索\r\n");
	templateBuilder.Append("				<input type=\"radio\" name=\"keywordtype\" value=\"3\" onclick=\"changeoption('album');\"/>\r\n");
	templateBuilder.Append("				相册标题搜索\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td colspan=\"2\"><div id=\"options\"></div><script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/search.js\"></" + "script></td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<td class=\"formarea\"  colspan=\"2\">\r\n");
	templateBuilder.Append("				 <input name=\"submit\" type=\"submit\" class=\"sbutton\" id=\"submit\" value=\"执行搜索\" />\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</form>\r\n");
	templateBuilder.Append("</div>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");



	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	}
	else
	{


	if (type=="album")
	{

	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("	<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("			<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("			<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("			<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "个符合条件的相册</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>搜索结果</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("	<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("		<th>标题</th>\r\n");
	templateBuilder.Append("		<th>所属分类</th>\r\n");
	templateBuilder.Append("		<th>作者</th>\r\n");
	templateBuilder.Append("		<th>图片数</th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</thead>\r\n");

	int album__loop__id=0;
	foreach(DataRow album in albumlist.Rows)
	{
		album__loop__id++;

	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("			<th class=\"forumlisttitle searchtitle\">\r\n");
	templateBuilder.Append("					<a href=\"showalbum.aspx?albumid=" + album["albumid"].ToString().Trim() + "\" target=\"_blank\">" + album["title"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("			</th>\r\n");
	templateBuilder.Append("			<td>\r\n");
	templateBuilder.Append("					<a href=\"showalbumlist.aspx?cate=" + album["albumcateid"].ToString().Trim() + "\" target=\"_parent\">" + album["categorytitle"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("			<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(album["userid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	templateBuilder.Append("						<a href=\"showalbumlist.aspx?uid=" + album["userid"].ToString().Trim() + "\" target=\"_parent\">" + album["username"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(album["createdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("			<td>" + album["imgcount"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "个符合条件的相册</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if


	if (type=="spacepost")
	{

	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "篇符合条件的日志</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>搜索结果</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("			<th>标题</th>\r\n");
	templateBuilder.Append("			<th>作者</th>\r\n");
	templateBuilder.Append("			<th>回复/查看</th>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");

	int spacepost__loop__id=0;
	foreach(DataRow spacepost in spacepostlist.Rows)
	{
		spacepost__loop__id++;

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("				<th class=\"forumlisttitle searchtitle\">\r\n");
	templateBuilder.Append("					<a href=\"" + spaceurl.ToString() + "space/viewspacepost.aspx?postid=" + spacepost["postid"].ToString().Trim() + "\" target=\"_blank\">" + spacepost["title"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				</th>\r\n");
	templateBuilder.Append("				<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(spacepost["uid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	templateBuilder.Append("						<a href=\"" + spaceurl.ToString() + "space/?uid=" + spacepost["uid"].ToString().Trim() + "\" target=\"_parent\">" + spacepost["author"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(spacepost["postdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td><em>" + spacepost["commentcount"].ToString().Trim() + "</em> / " + spacepost["views"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("		  	</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("	window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "篇符合条件的日志</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if


	if (type=="")
	{

	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("	window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "个符合条件的帖子</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>搜索结果</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<th>标题</th>\r\n");
	templateBuilder.Append("			<th>所在版块</th>\r\n");
	templateBuilder.Append("			<th>作者</th>\r\n");
	templateBuilder.Append("			<th>回复/查看</th>\r\n");
	templateBuilder.Append("			<th>最后回复</th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");

	int topic__loop__id=0;
	foreach(DataRow topic in topiclist.Rows)
	{
		topic__loop__id++;

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("				<td class=\"forumlisttitle searchtitle\">\r\n");
	 aspxrewriteurl = this.ShowTopicAspxRewrite(topic["tid"].ToString().Trim(),0);
	
	templateBuilder.Append("					<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_blank\">" + topic["title"].ToString().Trim() + "</a></td>\r\n");
	templateBuilder.Append("				<td>\r\n");
	 aspxrewriteurl = this.ShowForumAspxRewrite(topic["fid"].ToString().Trim(),0);
	
	templateBuilder.Append("					<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_parent\">" + topic["forumname"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(topic["posterid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	 aspxrewriteurl = this.UserInfoAspxRewrite(topic["posterid"].ToString().Trim());
	
	templateBuilder.Append("						<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_parent\">" + topic["poster"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(topic["postdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td><em>" + topic["replies"].ToString().Trim() + "</em> / " + topic["views"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("				<td  class=\"listitem listlast\">\r\n");

	if (Utils.StrToInt(topic["replies"].ToString().Trim(), 0)>0)
	{

	templateBuilder.Append("						<h4>\r\n");
	templateBuilder.Append("							" + topic["lastposter"].ToString().Trim() + "\r\n");
	templateBuilder.Append("						<a href=\"showtopic.aspx?topicid=" + topic["tid"].ToString().Trim() + "&page=end\" target=\"_blank\"><img src=\"templates/" + templatepath.ToString() + "/images/writer2.gif\" alt=\"发布人\"/></a>\r\n");
	templateBuilder.Append("						</h4>\r\n");
	templateBuilder.Append("						<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(topic["lastpost"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");

	}
	else
	{

	templateBuilder.Append("从未\r\n");

	}	//end if

	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + pageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + pagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + pagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages3\">跳转<input name=\"gopage\" type=\"text\" id=\"gopage\" onKeyDown=\"if(event.keyCode==13) {\r\n");
	templateBuilder.Append("window.location='search.aspx?searchid=" + searchid.ToString() + "&page='+this.value;}\"  size=\"4\" maxlength=\"9\"  class=\"colorblue2\"/>页</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"pagesothers\">共搜索到" + topiccount.ToString() + "个符合条件的帖子</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if


	if (type=="author")
	{

	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>帖子搜索结果(共" + topiccount.ToString() + "个)</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<th>标题</th>\r\n");
	templateBuilder.Append("			<th>所在版块</th>\r\n");
	templateBuilder.Append("			<th>作者</th>\r\n");
	templateBuilder.Append("			<th>回复/查看</th>\r\n");
	templateBuilder.Append("			<th>最后回复</th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");

	int topic__loop__id=0;
	foreach(DataRow topic in topiclist.Rows)
	{
		topic__loop__id++;

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("				<th class=\"forumlisttitle searchtitle\">\r\n");
	 aspxrewriteurl = this.ShowForumAspxRewrite(topic["tid"].ToString().Trim(),0);
	
	templateBuilder.Append("					<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_blank\">" + topic["title"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				</th>\r\n");
	templateBuilder.Append("				<td>\r\n");
	 aspxrewriteurl = this.ShowForumAspxRewrite(topic["fid"].ToString().Trim(),0);
	
	templateBuilder.Append("					<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_parent\">" + topic["forumname"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(topic["posterid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	 aspxrewriteurl = this.UserInfoAspxRewrite(topic["posterid"].ToString().Trim());
	
	templateBuilder.Append("						<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_parent\">" + topic["poster"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(topic["postdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td><em>" + topic["replies"].ToString().Trim() + "</em> / " + topic["views"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("				<td class=\"listitem listlast\">\r\n");

	if (Utils.StrToInt(topic["replies"].ToString().Trim(), 0)>0)
	{

	templateBuilder.Append("						<h4>\r\n");
	templateBuilder.Append("							" + topic["lastposter"].ToString().Trim() + "\r\n");
	templateBuilder.Append("						<a href=\"showtopic.aspx?topicid=" + topic["tid"].ToString().Trim() + "&page=end\" target=\"_blank\"><img src=\"templates/" + templatepath.ToString() + "/images/writer2.gif\" alt=\"发布人\" /></a>\r\n");
	templateBuilder.Append("						</h4>\r\n");
	templateBuilder.Append("						<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(topic["lastpost"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");

	}
	else
	{

	templateBuilder.Append("						<span style=\"line-height:36px;\">从未</span>\r\n");

	}	//end if

	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + topicpageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + topicpagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + topicpagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>日志搜索结果(共" + blogcount.ToString() + "篇)</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<th>标题</th>\r\n");
	templateBuilder.Append("			<th>作者</th>\r\n");
	templateBuilder.Append("			<th>回复/查看</th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");

	int spacepost__loop__id=0;
	foreach(DataRow spacepost in spacepostlist.Rows)
	{
		spacepost__loop__id++;

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("				<th class=\"forumlisttitle searchtitle\">\r\n");
	templateBuilder.Append("						<a href=\"" + spaceurl.ToString() + "space/viewspacepost.aspx?postid=" + spacepost["postid"].ToString().Trim() + "\" target=\"_blank\">" + spacepost["title"].ToString().Trim() + "</a></th>\r\n");
	templateBuilder.Append("				<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(spacepost["uid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	templateBuilder.Append("						<a href=\"" + spaceurl.ToString() + "space/?uid=" + spacepost["uid"].ToString().Trim() + "\" target=\"_parent\">" + spacepost["author"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(spacepost["postdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td><em>" + spacepost["commentcount"].ToString().Trim() + "</em> / " + spacepost["views"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + blogpageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + blogpagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + blogpagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\" >\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>相册搜索结果(共" + albumcount.ToString() + "个)</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<th>标题</th>\r\n");
	templateBuilder.Append("			<th>所属分类</th>\r\n");
	templateBuilder.Append("			<th>作者</th>\r\n");
	templateBuilder.Append("			<th>图片数</th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");

	int album__loop__id=0;
	foreach(DataRow album in albumlist.Rows)
	{
		album__loop__id++;

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("				<th class=\"forumlisttitle searchtitle\">\r\n");
	templateBuilder.Append("					<a href=\"showalbum.aspx?albumid=" + album["albumid"].ToString().Trim() + "\" target=\"_blank\">" + album["title"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				</th>\r\n");
	templateBuilder.Append("				<td>\r\n");
	templateBuilder.Append("					<a href=\"showalbumlist.aspx?cate=" + album["albumcateid"].ToString().Trim() + "\" target=\"_parent\">" + album["categorytitle"].ToString().Trim() + "</a></td>\r\n");
	templateBuilder.Append("				<td class=\"listitem\">\r\n");
	templateBuilder.Append("					<h3>\r\n");

	if (Utils.StrToInt(album["userid"].ToString().Trim(), 0)==-1)
	{

	templateBuilder.Append("						游客\r\n");

	}
	else
	{

	templateBuilder.Append("						<a href=\"showalbumlist.aspx?uid=" + album["userid"].ToString().Trim() + "\" target=\"_parent\">" + album["username"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("</h3>\r\n");
	templateBuilder.Append("					<em>\r\n");
templateBuilder.Append(Convert.ToDateTime(album["createdatetime"].ToString().Trim()).ToString("yyyy.MM.dd HH:mm"));
	templateBuilder.Append("</em>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("				<td>" + album["imgcount"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"forumpages\">\r\n");
	templateBuilder.Append("	<div class=\"forumpagesnumbers\">\r\n");
	templateBuilder.Append("		<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("			<tr>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\"><strong>" + albumpageid.ToString() + "</strong>&nbsp;&nbsp;/&nbsp;&nbsp;" + albumpagecount.ToString() + "页</td>\r\n");
	templateBuilder.Append("				<td style=\"width:10px;\">&nbsp;</td>\r\n");
	templateBuilder.Append("				<td class=\"forumallpages\">" + albumpagenumbers.ToString() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");



	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	}	//end if


	}	//end if


	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script language=\"javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if


	Response.Write(templateBuilder.ToString());
}
</script>
